#
# spec file for package perl-HTTP-Body
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name HTTP-Body
Name:           perl-HTTP-Body
Version:        1.230.0
Release:        bp160.1.8
# 1.23 -> normalize -> 1.230.0
%define cpan_version 1.23
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        HTTP Body Parser
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GE/GETTY/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(IO::File) >= 1.14
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More) >= 0.86
Requires:       perl(HTTP::Headers)
Requires:       perl(IO::File) >= 1.14
Provides:       perl(HTTP::Body) = %{version}
Provides:       perl(HTTP::Body::MultiPart) = %{version}
Provides:       perl(HTTP::Body::OctetStream) = %{version}
Provides:       perl(HTTP::Body::UrlEncoded) = %{version}
Provides:       perl(HTTP::Body::XForms) = %{version}
Provides:       perl(HTTP::Body::XFormsMultipart) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
HTTP::Body parses chunks of HTTP POST data and supports
application/octet-stream, application/json,
application/x-www-form-urlencoded, and multipart/form-data.

Chunked bodies are supported by not passing a length value to new().

It is currently used by Catalyst, Dancer, Maypole, Web::Simple and Jedi.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Mar 31 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.23
  see /usr/share/doc/packages/perl-HTTP-Body/Changes
  1.23      2024-03-30 04:27:56+01:00 Europe/Berlin
* Fri Feb  6 2015 coolo@suse.com
- updated to 1.22
  1.22      2015-01-29 04:51:51+01:00 Europe/Berlin
  - Fix for the fix..... don't ask
  1.21      2015-01-29 04:48:58+01:00 Europe/Berlin
  - Fix for failing test if Plack is not installed
  1.20      2015-01-28 16:20:59+01:00 Europe/Berlin
  - new method 'part_data' which preserves multipart meta information just in cause
    you have a form upload with unexpected charsets, etc.
  1.19
  - Release for cleanup of dzil
- obsolete CVE-2013-4407.patch
* Fri Mar 14 2014 chris@computersalat.de
- fix for bnc#844951 (CVE-2013-4407)
- added patches:
  * CVE-2013-4407.patch
* Mon Dec  9 2013 coolo@suse.com
- updated to 1.19 (includes also changelog for old releases)
  - Release for cleanup of dzil
  - Added configurable basename regexp, test added with fixed regexp for next release
    (Torsten Raudssus [GETTY])
  - Added .gitignore
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.17
  - Added support for application/json (Gareth Kirwan [GBJK])
* Sat Feb 11 2012 coolo@suse.com
- updated to 1.15
  - Added missing requirement (Torsten Raudssus [GETTY])
* Sun Nov 20 2011 coolo@suse.com
- update to 1.14
  - removed benchmark test data and benchmark script for release
* Wed May 11 2011 dbahi@novell.com
- Fixed the t/08 test
- Added param_order capability
- Patch for test failure
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep 20 2010 dbahi@novell.com
- initial package 1.09
  * created by cpanspec 1.78
